libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.67. __nv_double_as_longlong

Prototype:

    i64 @__nv_double_as_longlong(double %x)

Description:

Reinterpret the bits in the double-precision floating point value `x` as a signed 64-bit integer.

Returns:

Returns reinterpreted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes